commit:     ace72060046040fef1be9214749de3e62da7a5bc
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 18:08:45 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 18:08:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ace72060

sci-visualization/quickplot: Port to EAPI 7

Bug: https://bugs.gentoo.org/611218
Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../files/quickplot-1.0.1_rc-automake.patch        | 22 +++++++++++++
 .../quickplot/quickplot-1.0.1_rc.ebuild            | 37 ++++++++++++----------
 2 files changed, 42 insertions(+), 17 deletions(-)

diff --git 
a/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch 
b/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch
new file mode 100644
index 00000000000..e88259f0bd2
--- /dev/null
+++ b/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch
@@ -0,0 +1,22 @@
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -193,7 +193,7 @@
+ endif
+ 
+ # We look at a sndfile symbol when libquickplot runs
+-libquickplot_la_LIBADD = $(sndfile_LIBS)
++libquickplot_la_LIBADD = $(sndfile_LIBS) -lm
+ 
+ if QP_DEBUG
+ libquickplot_la_SOURCES += debug_spew.c
+@@ -336,8 +336,8 @@
+ if HAVE_LOCAL_SCREENSHOTS
+ 
+ install-exec-hook:
+-      mkdir -p $(htmldir)
+-      cp ScreenShot_* _ScreenShot_* $(htmldir)
++      mkdir -p $(DESTDIR)$(htmldir)
++      cp ScreenShot_* _ScreenShot_* $(DESTDIR)$(htmldir)
+ 
+ thumbs.htm: mk_thumbs.htm.bash
+       ./mk_thumbs.htm.bash > $@

diff --git a/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild 
b/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild
index 3b95c16cf52..19ccf287fd2 100644
--- a/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild
+++ b/sci-visualization/quickplot/quickplot-1.0.1_rc.ebuild
@@ -1,49 +1,52 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools eutils
+inherit autotools desktop
 
 MY_P=${P/_rc/rc}
 
 DESCRIPTION="A fast interactive 2D plotter"
-HOMEPAGE="http://quickplot.sourceforge.net/ 
https://github.com/lanceman2/quickplot";
+HOMEPAGE="
+       http://quickplot.sourceforge.net/
+       https://github.com/lanceman2/quickplot";
 SRC_URI="https://github.com/lanceman2/${PN}/archive/${MY_P}.tar.gz";
+S="${WORKDIR}/${PN}-${MY_P}"
 
-SLOT="0"
 LICENSE="GPL-3"
+SLOT="0"
 KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
-IUSE="static-libs"
 
 RDEPEND="
-       media-libs/libsndfile
+       media-libs/libsndfile:=
        >=sys-libs/readline-0.6.2:0=
        x11-libs/gtk+:3"
-DEPEND="${RDEPEND}
-       media-gfx/imagemagick
+DEPEND="${RDEPEND}"
+BDEPEND="
+       media-gfx/imagemagick[png]
        virtual/pkgconfig
        www-client/lynx"
 
-S="${WORKDIR}/${PN}-${MY_P}"
+PATCHES=( "${FILESDIR}"/${P}-automake.patch )
 
 src_prepare() {
-       sed -i \
-               -e '/libquickplot_la_LIBADD/s:$: -lm:g' \
-               -e 's/ $(htmldir)/ $(DESTDIR)$(htmldir)/g' \
-               Makefile.am || die
        default
        eautoreconf
 }
 
 src_configure() {
        econf \
-               --enable-developer \
-               $(use_enable static-libs static)
+               --disable-static \
+               --enable-developer
 }
 
 src_install() {
        default
+
        make_desktop_entry 'quickplot --no-pipe' Quickplot quickplot Graphics
-       mv "${ED%/}"/usr/share/applications/quickplot{*,}.desktop || die
+       mv "${ED}"/usr/share/applications/quickplot{*,}.desktop || die
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to